package _VisualDVM.Repository.Server;
public enum ServerCode {
    Undefined,
    TestCode,
    Ping,
    ReceiveFile,
    //--
    GetComponentsBackups,
    //-
    UpdateBugReport,
    AppendBugReportTextField,
    //-
    Email,
    ReceiveAllArchives,
    //-
    DownloadTest,
    //-
    OK,
    //-
    RefreshDVMTests, //- для админа. получение тестов из репозитория.
    //-
    EditObject,
    GetObjectCopyByPK,
    GetObjectsCopiesByPK,
    DeleteObjectsByPK,
    CloneObjectByPK,
    //
    //--
    FAIL,
    //--
    ReceiveBugReportsDatabase,
    ReceiveTestsDatabase,
    ReceiveCredentialsDatabase,
    UpdateComponent,
    ReceiveComponent,
    ReceiveBugReport,
    GetComponentsVersionsInfo,
    GetComponentChangesLog,
    //--
    CheckURLRegistered,
    DVMConvertProject,
    //-
    DeleteObjectByPK,
    //-
    PublishObject,
    PublishObjects,
    ActualizeDVMPackages,
    DVMPackageNeedsKill,
    UpdateActiveDVMPackages,
    GetFirstActiveSapforPackages,
    SapforPackageNeedsKill,
    UpdateActiveSapforPackages,
    DownloadDVMPackages,
    DownloadSapforPackage,
    ReplaceTestCode,
    ReplaceTestsCodes,
    GetFirstActiveDVMPackageForMachineURL,
    GetServerName,
    StartNecessaryMachines,
    GetSapforForCompilation,
    GetMaxSapforVersion,
    PerformAutoSapforTesting,
    JoinSapforVersionsToGroup,
    ReplaceDVMPackageResults,
    DetectTestsMinMaxDim,
    GetUserAccountByKey,
    GetUserAccountByEmail,
    GetDVMPackageCredentials,
    CreateBackUp,
    GetFirstEmailToSend,
    SynchronizeSapforRepoitory,
    ReplaceSapforPackageResults;
    public String getDescription() {
        switch (this) {
            case SynchronizeSapforRepoitory:
                return "Синхронизация репозитория SAPFOR на сервере";
            case Email:
                return "Создать сообщение электронной почты на сервере";
            case GetFirstEmailToSend:
                return "Получить сообщение электронной почты для отправки на сервере";
            case ReplaceTestsCodes:
                return "Заменить код тестов на сервере";
            case ActualizeDVMPackages:
                return "Обновить информацию о пакетах тестирования DVM на сервере";
            case CreateBackUp:
                return "Создание резервной копии данных сервера";
            case GetDVMPackageCredentials:
                return "Получение входных данных пакета тестирования DVM на сервере";
            case ReceiveCredentialsDatabase:
                return "Скачивание базы учётных записей с сервера";
            case GetUserAccountByEmail:
                return "Получение информации об аккаунте по адресу почты";
            case GetUserAccountByKey:
                return "Получение информации об аккаунте по ключу";
            case DetectTestsMinMaxDim:
                return "Определить размерность тестов на сервере";
            case ReplaceDVMPackageResults:
                return "Заменить json DVM пакета";
            case ReplaceSapforPackageResults:
                return "Заменить json Sapfor пакета";
            case JoinSapforVersionsToGroup:
                return "Присоединение версий к группе на сервере";
            case GetComponentsVersionsInfo:
                return "Получение версий компонент c сервера";
            case UpdateComponent:
                return "Публикация компонента на сервере";
            case PublishObject:
                return "Публикация объекта на сервере";
            case AppendBugReportTextField:
                return "Дополнение описание или комментария отчета об ошибке на сервере";
            case ReceiveBugReportsDatabase:
                return "Скачивание базы данных отчетов об ошибках с сервера";
            case ReceiveTestsDatabase:
                return "Скачивание базы тестирования с сервера";
            case ReceiveFile:
                return "Скачивание файла с сервера";
            case GetComponentChangesLog:
                return "Получение журнала изменений компонента с сервера";
            case CheckURLRegistered:
                return "Проверка регистрации машины на сервере";
            case PublishObjects:
                return "Публикация объектов на сервере";
            case ReplaceTestCode:
                return "Замена кода теста на сервере";
            case GetComponentsBackups:
                return "Получение резервных копий компонента с сервера";
            case DVMConvertProject:
                return "Конвертация проекта на сервере";
            case DownloadTest:
                return "Скачивание теста с сервера";
            case DownloadSapforPackage:
                return "Скачивание пакета тестирования SAPFOR с сервера";
            case DownloadDVMPackages:
                return "Скачивание пакета тестирования DVM с сервера";
            case ReceiveComponent:
                return "Скачивание компонента с сервера";
            case DeleteObjectByPK:
                return "Удаление объекта с сервера";
            case CloneObjectByPK:
                return "Дублирование объекта на сервере";
            case UpdateActiveDVMPackages:
                return "Актуализация активных DVM пакетов на сервере";
            case RefreshDVMTests:
                return "Синхронизация стандартных DVM тестов";
            default:
                return this.toString();
        }
    }
}
